| 導購 | 订阅 | 在线投稿
分享
 
 
 

Dropline-Gnome中文化初探

來源:互聯網  2008-05-31 16:51:23  評論

在網上偶然發現了一套植根於 Slackware 9,加強桌面效能的

軟體包 -- Dropline-Gnome 。

擁有 Cereon CPU 以上的 Slackwre Linux 用家相信爲數不小,

安裝完後第一件事情想必是 compile kernel 來增加其效能吧。

但是其它的軟件卻依然是根據 i386 來定制的呢?

直到 Slackware 9, 軟件的定制已靜靜移向 i486 了,

相信 Slackware 9.1 會全面 i486 化了。

在網上偶然發現了一套植根於 Slackware 9,加強桌面效能的

軟體包 -- Dropline-Gnome 。

它是一套 i686 化的應用軟件軟體包,包括七個部份∶

1.系統強化軟件

¡@¡@Ó捎谟τ萌砑?那炕?δ苄枰????Slackware 內的

系統軟件不足,固需要強化。其中比較重要的是∶

PAM 和 Openldap。(PAM 在 Slackware 中是一個富爭論性

的系統軟體包,但如作爲一個桌上辦公爲主要目的的軟體包,

OpenOffice 的建立而需要的模塊,使用它也是無可口非。)

2.最新版本的 Gnome 桌面軟件套

Gnome 正是這套軟件套的主角。

3.桌面增強軟件

4.網上應用軟件

¡@¡@¡泓?microsoft webfonts, xft 化的 Mozilla 1.4 等。

5.辦公室應用軟件

¡@¡@¡泓?OpenOffice 1.0.3, abiWord 等

6.多媒體應用軟件

7.Development programs.

Dropline-Gnome 與 我們的 Slackware-CLE 9.0 是否 Compatible 呢?

雖然 Gnome 已全面 I18N 與 L10N 化,但作爲兩個亘相

獨立發展的增強軟件軟體包,互不協調也不爲奇呢?

要如何克服呢?以下便是我的初步結果∶

backup /etc/X11/xinit/xinit.gnome :

cp /etc/X11/xinit/xinit.gnome /etc/X11/xinit/xinit.gnome.cle

從網址 http://www.dropline.net/gnome 下載安裝軟件。

使用正常安裝軟件套的方法,便可使用它來下載和安裝馀下的

176 個軟體包。

dropline-installer --force

(因爲已安裝 CLE, 固需加上參數 --force)

安裝後需要重新激活,因系統己 PAM 化了。

系統已安裝的中文字體被移到

/usr/share/fonts.old

固需執行以下指令∶

mv /usr/share/fonts.old/ttf /usr/share/fonts

另外 /usr/X11R6/lib/X11/font/misc 的 font.dir 也

被修改,失去了 big-5-0 的記錄,使輸入法失效。

固需重新執行

mkfontdir /usr/X11R6/lib/X11/font/misc/

最後記得還原 xinitrc.gnome 啊!

Firefly 增強中文字體強化的可能性?

由于 dropline-gnome 已經重新包裝 xfree86-4.3.0,

及將內在的軟體包分開包裝∶

即已獨立包裝 freetype2 和 fontconfig,固此升級和還原會

更加輕易呢?

我也根據 dropline-gnome 的規格,重新包裝幾個

Firefly 化的軟體包,它們包括∶

freetype2-2.1.4-i686-1.Firefly.dl.tgz

xft-2.1.2-i686-1.Firefly.dl.tgz

xft-devel-2.1.2-i686-1.Firefly.dl.tgz

fontconfig-2.2.1-i686-1.Firefly.dl.tgz

pango-1.2.3-i686-1.Firefly.dl.tgz

除了 xft 軟體包外,共它的軟體包可用 upgradepkg 指令

升級與還原。

xft-devel 可以不用安裝,它是爲了包裝的原整性而設的。

至於 xft 可以 installpkg 安裝,如需還原,可於安裝前

將以下軟件 backup,

cp /usr/X11R6/bin/xft-config /usr/X11R6/bin/xft-config.dl

還原便要 removpkg xft, 之後要

mv /usr/X11R6/bin/xft-config.dl /usr/X11R6/bin/xft-config

cd /usr/X11R6/lib

ln -sf libXft.so.2.1 libXft.so.2

以上便是我的測試成果。

而此文也是我使用試驗的計算機裝備,即

Slackware 9 + CLE + Dropline-gnome + Firefly patch

寫下來呢!

AlexWan from HKSAR

  在網上偶然發現了一套植根於 Slackware 9,加強桌面效能的   軟體包 -- Dropline-Gnome 。         擁有 Cereon CPU 以上的 Slackwre Linux 用家相信爲數不小,   安裝完後第一件事情想必是 compile kernel 來增加其效能吧。      但是其它的軟件卻依然是根據 i386 來定制的呢?   直到 Slackware 9, 軟件的定制已靜靜移向 i486 了,   相信 Slackware 9.1 會全面 i486 化了。      在網上偶然發現了一套植根於 Slackware 9,加強桌面效能的   軟體包 -- Dropline-Gnome 。      它是一套 i686 化的應用軟件軟體包,包括七個部份∶   1.系統強化軟件   ¡@¡@Ó捎谟τ萌砑?那炕?δ苄枰????Slackware 內的   系統軟件不足,固需要強化。其中比較重要的是∶   PAM 和 Openldap。(PAM 在 Slackware 中是一個富爭論性   的系統軟體包,但如作爲一個桌上辦公爲主要目的的軟體包,   OpenOffice 的建立而需要的模塊,使用它也是無可口非。)      2.最新版本的 Gnome 桌面軟件套   Gnome 正是這套軟件套的主角。      3.桌面增強軟件      4.網上應用軟件   ¡@¡@¡泓?microsoft webfonts, xft 化的 Mozilla 1.4 等。      5.辦公室應用軟件   ¡@¡@¡泓?OpenOffice 1.0.3, abiWord 等      6.多媒體應用軟件      7.Development programs.         Dropline-Gnome 與 我們的 Slackware-CLE 9.0 是否 Compatible 呢?      雖然 Gnome 已全面 I18N 與 L10N 化,但作爲兩個亘相   獨立發展的增強軟件軟體包,互不協調也不爲奇呢?      要如何克服呢?以下便是我的初步結果∶      backup /etc/X11/xinit/xinit.gnome :   cp /etc/X11/xinit/xinit.gnome /etc/X11/xinit/xinit.gnome.cle      從網址 http://www.dropline.net/gnome 下載安裝軟件。      使用正常安裝軟件套的方法,便可使用它來下載和安裝馀下的   176 個軟體包。       dropline-installer --force      (因爲已安裝 CLE, 固需加上參數 --force)      安裝後需要重新激活,因系統己 PAM 化了。      系統已安裝的中文字體被移到   /usr/share/fonts.old      固需執行以下指令∶   mv /usr/share/fonts.old/ttf /usr/share/fonts      另外 /usr/X11R6/lib/X11/font/misc 的 font.dir 也   被修改,失去了 big-5-0 的記錄,使輸入法失效。      固需重新執行      mkfontdir /usr/X11R6/lib/X11/font/misc/      最後記得還原 xinitrc.gnome 啊!         Firefly 增強中文字體強化的可能性?      由于 dropline-gnome 已經重新包裝 xfree86-4.3.0,   及將內在的軟體包分開包裝∶   即已獨立包裝 freetype2 和 fontconfig,固此升級和還原會   更加輕易呢?      我也根據 dropline-gnome 的規格,重新包裝幾個   Firefly 化的軟體包,它們包括∶   freetype2-2.1.4-i686-1.Firefly.dl.tgz   xft-2.1.2-i686-1.Firefly.dl.tgz   xft-devel-2.1.2-i686-1.Firefly.dl.tgz   fontconfig-2.2.1-i686-1.Firefly.dl.tgz   pango-1.2.3-i686-1.Firefly.dl.tgz      除了 xft 軟體包外,共它的軟體包可用 upgradepkg 指令   升級與還原。      xft-devel 可以不用安裝,它是爲了包裝的原整性而設的。   至於 xft 可以 installpkg 安裝,如需還原,可於安裝前   將以下軟件 backup,      cp /usr/X11R6/bin/xft-config /usr/X11R6/bin/xft-config.dl      還原便要 removpkg xft, 之後要   mv /usr/X11R6/bin/xft-config.dl /usr/X11R6/bin/xft-config   和   cd /usr/X11R6/lib   ln -sf libXft.so.2.1 libXft.so.2      以上便是我的測試成果。      而此文也是我使用試驗的計算機裝備,即   Slackware 9 + CLE + Dropline-gnome + Firefly patch   寫下來呢!      AlexWan from HKSAR
󰈣󰈤
王朝萬家燈火計劃
期待原創作者加盟
 
 
 
>>返回首頁<<
 
 
 
 
 熱帖排行
 
王朝網路微信公眾號
微信掃碼關註本站公眾號 wangchaonetcn
 
 
靜靜地坐在廢墟上,四周的荒凉一望無際,忽然覺得,淒涼也很美
© 2005- 王朝網路 版權所有